KeyWorks KeyHelp ActiveX Control Multiple Vulnerabilities

High Nessus Plugin ID 62311


The remote host has an ActiveX control installed that has multiple vulnerabilities.


The remote host has KeyWorks KeyHelp ActiveX control installed, which is affected by multiple vulnerabilities :

- Multiple stack-based buffer overflows exist that could allow an attacker to execute arbitrary code. (CVE-2012-2515)

- An unspecified command injection vulnerability. (CVE-2012-2516)


Remove or disable the control as it is no longer supported.

See Also

Plugin Details

Severity: High

ID: 62311

File Name: keyworks_keyhelp_activex.nasl

Version: $Revision: 1.8 $

Type: local

Agent: windows

Family: Windows

Published: 2012/09/26

Modified: 2017/07/13

Dependencies: 13855

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:ND/RC:ND

Vulnerability Information

CPE: x-cpe:/a:keyworks:keyhelp

Required KB Items: SMB/Registry/Enumerated

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 2009/09/30

Exploitable With

Core Impact

Metasploit (KeyHelp ActiveX LaunchTriPane Remote Code Execution Vulnerability)

Reference Information

CVE: CVE-2012-2515, CVE-2012-2516

BID: 36546, 40969, 55265

OSVDB: 58423, 83310, 83311

EDB-ID: 9803

ICSA: 12-131-02